Rasa X installation errors

I am not able to install rasa X on windows 10, on doing pip3 install rasa-x --extra-index-url https://pypi.rasa.com/simple i get Requirement already satisfied: rasa-x in c:\users… but rasa – version gives
Rasa Version : 2.7.0 Minimum Compatible Version: 2.6.0 Rasa SDK Version : 2.7.0 Rasa X Version : None Python Version : 3.8.5 Operating System : Windows-10-10.0.19041-SP0 Python Path : c:\programdata\anaconda3\python.exe, any help?i also had tried with pip version 20,

it would be great if @koaning could help

Heya @jerry !

Update Rasa to rasa==2.7.1 please check this Compatibility Matrix

pip install rasa==2.7.1

Install this version rasa-x==0.39.3

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Some know errors:

ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ try running pip install SQLAlchemy==1.3.22 should fix it.)

And, if you get an error not being able to import yaml then run pip install pyyaml.

Still got any issue, just mention me, good luck!

1 Like

Hi @jerry Is the above solution helped you, if yes; please close this thread with the solution or if not share your error and we will solved together.

Hi thanks a lot, i have upgraded rasa , but on trying rasa-x for each step it is displaying something like pip is looking at multiple versions of httpcore to determine which version is compatible with other requirements. This could take a while. INFO: This is taking longer than usual. You might need to provide the dependency resolver with stricter constraints to reduce runtime …
This happens with aiofiles sniffio httpcore and may other stuff, at each of these steps the console kind of freezes for half an hour or more, Could you shed some light on this matter… Once again thanks a ton for guiding me to compatibility matrix

@jerry Please share the screenshot of error.

@jerry I’d encourage create a fresh condo environment and then install rasa-x

create a project folder rasa

    1. conda create --name “Your_Environment_Name” python==3.8 or python==3.7.7
    2. conda activate Your_Environment_Name
    3. pip install pip==20.2 
    4. pip install rasa-sdk==2.8.1
    5. pip install rasa==2.8.1
    6. rasa init     follow the instructions
    7. running rasa type rasa shell 
    8. for training the bot rasa train
    9. In new separate terminal for custom action i.e action.py run rasa run actions

Than this:

Install this version rasa-x==0.39.3

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Some know errors:

ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ try running pip install SQLAlchemy==1.3.22 should fix it.)

And, if you get an error not being able to import yaml then run pip install pyyaml.

@jerry Try, I am here for a while :slight_smile:

1 Like

Add --use-deprecated=legacy-resolver at the end of your pip install command if this continues to happen

@ChrisRahme Yestarday, I was trouble shooting this only :stuck_out_tongue: ; it take a lot time and then nothing, we need to kill, because I updated 2.6.2 to 2.8.1 and all messed up and then I created the new environment :frowning:

What I usually do is both commands:

pip install rasa rasa-x -i https://pypi.rasa.com/simple
pip install rasa rasa-x -i https://pypi.rasa.com/simple --use-deprecated=legacy-resolver
pip install rasa rasa-x -i https://pypi.rasa.com/simple
  • 1st one because it’s better at managing dependecies
  • 2nd one because 1st one gets stuck
  • 3rd one to manage dependencies again because 2nd creates conflicts

It looks dumb but hey it works :joy:

1 Like

@ChrisRahme I trust you 100% :slight_smile:

1 Like

Hi thanks again for the inputs, i am getting a ujson error stating some visual c++ , i have independetly installed ujson and i have visual c++ 14+ version also , attaching screenshots also

@jerry Please see this thread as a ref: Windows installtion of Rasa x - #14 and let me know if there is any error.

@jerry Thanks alot Jerry, I always remember you as my 50th assistant and solution :slight_smile: on Rasa Forum. Good Luck with Rasa Learning and Keep safe! :bouquet: If you need any further help, you know where to ping :wink:.

i got error in the 3rd command "pip install pip==20.2 "

@fadyromany Try not to install and proceed for later steps, this is weird error.

Has anyone got a reliable way to make rasa-x work. I’ve spent way too much time following through threads like this with anaconda reinstalls, new environments, library combinations from the latest of everything to the version sets listed in the above and even with a clean rasa init install rasa-x refuses to run. Is there any plan to release an update that isn’t so fickle/fragile that it must have a perfect set of conditions to run? If not can the team build a docker image with instructions on how to link it to a local repository to save everyone the hours of wasted effort? I would try the docker compose path if I could get this running locally.

hi everyone, install rasa x with this command (pip install rasa-x -i Simple Index) and this is the error I get when I try to run it by the command rasa x:

Starting Rasa X in local mode… :rocket: 2021-08-30 22:30:51 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-08-30 22:30:53 ERROR concurrent.futures - exception calling callback for <Future at 0x22a114d55e0 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs)
File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’)
RuntimeError: Event loop is closed 2021-08-30 22:30:53 ERROR concurrent.futures - exception calling callback for <Future at 0x22a114d5b20 state=finished returned list> Traceback (most recent call last): File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’)
RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models
await model_service.discover_models() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models
await _run_loop(max_retries, sleep_in_seconds)
File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models
minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\stack_service.py”, line 107, in version response = await session.get( File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\sebastiaan\appdata\local\programs\python\python38\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. Goodbye :wave:

Hi Nik,

I am also trying to install Rasa X and followed your advice on this post. Here, is my error:

Do you have an idea how to solve it?

Best, Sophia

one step further…just as little update, but trying to solve it myself first^^

@Solaris Great! you going in right direction :slight_smile: :+1::+1:

Please install

pip install SQLAlchemy==1.3.22

And share me the next error you getting, do mention me with @ and nik202.